> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mudstack.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create library

> Create a new library in the current workspace.



## OpenAPI

````yaml post /workspaces/libraries
openapi: 3.0.0
info:
  title: Mudstack API
  version: 2.41.0
servers:
  - url: https://api.mudstack.com
security: []
tags: []
paths:
  /workspaces/libraries:
    post:
      tags:
        - Library
      description: Create a new library in the current workspace.
      parameters:
        - $ref: '#/components/parameters/account_id'
        - $ref: '#/components/parameters/workspace_id'
      requestBody:
        required: true
        content:
          multipart/form-data:
            schema:
              type: object
              properties:
                name:
                  type: string
                  default: New Library
                description:
                  type: string
                file:
                  type: string
                  format: binary
      responses:
        '200':
          description: The created library
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Library'
      security:
        - Authentication: []
components:
  parameters:
    account_id:
      name: x-account-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
    workspace_id:
      name: x-workspace-id
      in: header
      required: true
      schema:
        type: string
        format: uuid
  schemas:
    Library:
      type: object
      required:
        - id
        - workspace_id
        - name
        - description
        - thumbnail_file_id
        - defaultAvatar
        - created_by_user_id
        - sequence
      properties:
        id:
          type: string
          description: Unique identifier for the library.
        workspace_id:
          type: string
          description: Identifier for the workspace to which the library belongs.
        name:
          type: string
          description: Name of the library.
        description:
          type: string
          description: Description of the library.
        thumbnail_file_id:
          type: string
          description: Identifier for the thumbnail file associated with the library.
        defaultAvatar:
          type: number
          description: Default avatar for the library.
        created_by_user_id:
          type: string
          description: Identifier for the user who created the library.
        sequence:
          type: integer
          format: int64
          description: Sequence number for ordering libraries.
  securitySchemes:
    Authentication:
      type: http
      scheme: bearer
      bearerFormat: JWT

````